﻿using DTO;
using Model;

namespace APILOL.Mapper
{
    public static class ChampionMapper
    {
        public static ChampionDTO ToDto(this Champion champion)
        {
            return new ChampionDTO()
            {
                Name = champion.Name,
                Bio = champion.Bio,
                Class = champion.Class,
                Icon = champion.Icon,
                Image = champion.Image,
                Skills = champion.Skills.Select(skill => skill.ToDto()),
            };
        }

        public static Champion ToModel(this ChampionDTO champion)
        {
            return new Champion(champion.Name, champion.Class, champion.Icon, champion.Image.ToString(), champion.Bio);
        }

        
    }
}