﻿using DTO;
using Model;

namespace APILOL.Mapper
{
    public static class RuneMapper
    {
        public static RuneDTO ToDto(this Rune rune)
        {
            return new RuneDTO()
            {
                Name = rune.Name,
                Description = rune.Description,
                Image = rune.Image.Base64,
                Family = rune.Family,
            };
        }

        public static Rune ToModel(this RuneDTO rune)
        {
            return new Rune(rune.Name, rune.Family, rune.Image, rune.Image, rune.Description);
        }
    }
}
