﻿using DTO;
using Model;

namespace APILOL.Mapper
{
    public static class RunePageMapper
    {
        public static RunePageDTO ToDto(this RunePage runePage)
        {
            return new RunePageDTO()
            {
                Name = runePage.Name,
                Runes = runePage.Runes
            };
        }

        public static RunePage ToModel(this RunePageDTO runePage)
        {
            return new RunePage(runePage.Name);
        }

    }
}
