﻿using DTO;
using Model;

namespace APILOL.Mapper
{
    public  static class SkillMapper
    {
        public static SkillDTO ToDto(this Skill skill)
        {
            return new SkillDTO()
            {
                 Type = skill.Type,
                 Name = skill.Name,
                 Description = skill.Description
            };
        }

        public static Skill ToModel(this SkillDTO skill)
        {
            return new Skill(skill.Name, skill.Type, skill.Description);
        }
    }
}
